<?php
//Número de exoneracion por consultar
$mExoneracion = "AL-00016215-21";

//Inicializar variables
$mNumeroDocumento        = "";
$mIdentificacion         = "";
$mCodigoProyectoCFIA     = "";
$mFechaEmision           = ""; 
$mFechaVencimiento       = "";
$mPorcentajeExoneracion  = "";
$mTipoDocumento          = "";
$mDocCodigo              = "";
$mDocdescripcion         = "";
$mNombreInstitucion      = "";
$mPoseeCabys             = "";
$mObjcCabys              = "";

//Tipo de conexión
$arrContextOptions=array(
    "ssl"=>array(
         "verify_peer"=>false,
         "verify_peer_name"=>false,
    ),
); 

//Hacer la peticion al servidor de Hacienda
$jsonConsulta    = file_get_contents("https://api.hacienda.go.cr/fe/ex?autorizacion=".$mExoneracion, false, stream_context_create($arrContextOptions));
//decodificar el Json de la petición 
$array = json_decode($jsonConsulta);

//Objetner las variables
$mNumeroDocumento        = $array->numeroDocumento;
$mIdentificacion         = $array->identificacion;
$mCodigoProyectoCFIA     = $array->codigoProyectoCFIA;
$mFechaEmision           = $array->fechaEmision;
$mFechaVencimiento       = $array->fechaVencimiento;
$mPorcentajeExoneracion  = $array->porcentajeExoneracion;
$mTipoDocumento          = $array->tipoDocumento;
$mDocCodigo              = $mTipoDocumento->codigo;
$mDocdescripcion         = $mTipoDocumento->descripcion;
$mNombreInstitucion      = $array->nombreInstitucion;
$mPoseeCabys             = $array->poseeCabys;
$mObjcCabys              = $array->cabys;



echo '<b> NumeroDocumento:  </b>'.$mNumeroDocumento.'<br>';
echo '<b> Identificacion:  </b>'.$mIdentificacion.'<br>';
echo '<b> CodigoProyectoCFIA:  </b>'.$mCodigoProyectoCFIA.'<br>';
echo '<b> FechaEmision:  </b>'.$mFechaEmision.'<br>';
echo '<b> FechaVencimiento:  </b>'.$mFechaVencimiento.'<br>';
echo '<b> PorcentajeExoneracion:  </b>'.$mPorcentajeExoneracion.'<br>';
echo '<b> DocCodigo:  </b>'.$mDocCodigo.'<br>';
echo '<b> Docdescripcion:  </b>'.$mDocdescripcion.'<br>';
echo '<b> NombreInstitucion </b>'.$mNombreInstitucion.'<br>';
echo '<b> Posee Cabys: </b>'.$mPoseeCabys.'<br>';

 
 $StrCodigosCabys  ="";


 
foreach ($mObjcCabys as $cabys) 
	{
		$StrCodigosCabys .= "<tr>
							<td>".$cabys."</td>
						 </tr>";
						 
	
						 
						 
	}



echo "<table id='tbCabys' border='1'>
		<thead>
		<tr>
			<td> Codigo Cabys </td>
		</tr>
	</thead>
	<tbody>
		".$StrCodigosCabys."	
	<tbody>
</table>";

?>